## deluge 2.0.5-0~202202181752~ubuntu20.04.1+10.0trisquel1

=== requirements.txt ===
twisted[tls]>=17.1
rencode
pyopenssl
pyxdg
pillow
mako
chardet
six
setproctitle
pywin32; sys_platform == 'win32'
certifi; sys_platform == 'win32'
windows-curses; sys_platform == 'win32'
zope.interface>=4.4.2
distro; 'linux' in sys_platform or 'bsd' in sys_platform

=== docs/requirements.txt ===
sphinx==4.*
myst-parser
sphinx_rtd_theme
sphinxcontrib-spelling

## deluge 1.2.2

=== debian/changelog ===
deluge (1.2.2-2) unstable; urgency=low

  * debian patches:
    - libtorrent_version_comparison.patch: new patch, fix version split
      comparison to do a proper compare and not simply against the version
      strings (needed to work with libtorrent 0.14.10).

 -- Cristian Greco <cristian@regolo.cc>  Wed, 24 Mar 2010 23:46:19 +0100

deluge (1.2.2-1) unstable; urgency=low

  * New upstream version.

 -- Cristian Greco <cristian@regolo.cc>  Wed, 24 Mar 2010 16:24:46 +0100

deluge (1.2.1-1) unstable; urgency=low

  * New upstream version.
  * debian/control:
    - bump up depends on python-libtorrent (>= 0.14.9) as suggested
      by upstream;
    - move python-pygame from Depends: to Recommends: for deluge-gtk;
      (Closes: #570606)
    - update standards-version to 3.8.4 (no changes).

 -- Cristian Greco <cristian@regolo.cc>  Sun, 21 Feb 2010 02:19:35 +0100

deluge (1.2.0-1) unstable; urgency=low

  * New upstream version.
  * debian/control: build-depend on python instead of python-dev (fix
    build-depends-on-python-dev-with-no-arch-any)
  * move deluge.desktop file from deluge to deluge-gtk package, due to
    upstream change. (Closes: #557519)
  * provide a README.Debian file for deluge-web package with information
    about the default password. (Closes: #560382)

 -- Cristian Greco <cristian@regolo.cc>  Wed, 27 Jan 2010 21:39:22 +0100

deluge (1.2.0~rc5-1) unstable; urgency=low

  * New upstream version.
    - fix startup with fresh configs. (Closes: #560384)
  * debian/control: drop useless dependencies on dbus for deluge-gtk.
  * fix_manifest_in.patch: dropped, file MANIFEST.in has been deleted by
    upstream.

 -- Cristian Greco <cristian@regolo.cc>  Thu, 24 Dec 2009 00:57:59 +0100

deluge (1.2.0~rc4-1) unstable; urgency=low

  * New upstream version.
  * Convert to 3.0 (quilt) source format.
  * debian/patches:
    - remove the followings (fixed upstream):
      + 05_install_deluge_web_manpage.patch
      + 20_r5913_queued_torrents_dialog.patch
      + 25_r5921_fastresume_files.patch
      + 30_r5931_ipc_lockfile.patch
    - rename the following:
      + 10_new_release_check.patch -> new_release_check.patch
    - new patch:
      + fix_manifest_in.patch: drop upstream MANIFEST.in as it is actually
        incomplete.

 -- Cristian Greco <cristian@regolo.cc>  Tue, 01 Dec 2009 00:23:48 +0100

deluge (1.2.0~rc3-5) unstable; urgency=low

  * debian/patches/30_r5931_ipc_lockfile.patch: fix bad indentation.

 -- Cristian Greco <cristian@regolo.cc>  Fri, 20 Nov 2009 18:57:56 +0100

deluge (1.2.0~rc3-4) unstable; urgency=low

  * debian/control: bump build-dep on python-setuptools to (>= 0.6c9).
  * debian/patches:
    - 25_r5921_fastresume_files.patch
      new, should fix problems with fresh configs;
    - 30_r5931_ipc_lockfile.patch:
      new, should fix an issue where Deluge will fail to start if there is a
      stale ipc lockfile. (Closes: #555849)

 -- Cristian Greco <cristian@regolo.cc>  Fri, 13 Nov 2009 02:39:45 +0100

deluge (1.2.0~rc3-3) unstable; urgency=low

  * debian/control: adding DM-Upload-Allowed, thanks to my sponsor
    Michal Čihař.

 -- Cristian Greco <cristian@regolo.cc>  Mon, 09 Nov 2009 12:28:35 +0100

deluge (1.2.0~rc3-2) unstable; urgency=low

  * debian/patches/20_r5913_queued_torrents_dialog.patch: new patch from
    upstream svn r5913 'fix adding torrents from the Queued Torrents dialog'.
    (Closes: #554446)
  * Start closing some old bugs which should now be fixed in 1.2.0:
    - no more daemon process running around at exit (Closes: #525648, 513020);
    - doesn't crash/freeze when launching a second instance (Closes: #473915);
    - display error dialog on 'Add Torrents->URL' failure (Closes: #525654).

 -- Cristian Greco <cristian@regolo.cc>  Fri, 06 Nov 2009 18:50:43 +0100

deluge (1.2.0~rc3-1) unstable; urgency=low

  * New upstream version.
    - debian/deluge-{console,gtk,web}.install: install new manpages.
    - debian/patches:
      + 001_r5833_fix_saving_torrents.patch: deleted, merged upsteam.
      + 010_new_release_check.patch: refresh and rename to delete the
        leading zero.
      + 05_install_deluge_web_manpage.patch: new, fix setup.py to
        install deluge-web.1 manpage.
  * debian/control: new maintainer email address.
  * Upload to unstable.
    - stop delivering non-free GeoIP.dat (Closes: #544463).

 -- Cristian Greco <cristian@regolo.cc>  Mon, 02 Nov 2009 16:30:11 +0100

deluge (1.2.0~rc1-1) experimental; urgency=low

  * Upload to experimental.
  * New upstream version.
    - upstream tarball is dfsg clean now;
    - debian/control, debian/deluge*.install: completely rework binary
      packages names and dependencies;
    - debian/NEWS: updated with informations about the new packages
      layout.
  * debian/patches:
    - 010_new_release_check.patch: updated;
    - 020_geoip_db.patch: dropped, merged upstream;
    - 001_r5833_fix_saving_torrents.patch: new patch to prevent an RC bug
      (pulled from upstream svn).
  * debian/README.source: remove now useless informations about the dfsg
    conversion.
  * debian/README.Debian: dropped, unneded.
  * debian/deluge.lintian-overrides: dropped, unneded.
  * debian/copyright: updated.
  * debian/watch: updated.
  * debian/gbp.conf: removed.
  * debian/rules: use override_dh_auto_clean.

 -- Cristian Greco <cristian.debian@gmail.com>  Mon, 12 Oct 2009 22:22:40 +0200

deluge (1.1.9+dfsg-2) unstable; urgency=low

  * debian/control:
    - move git maintenance to collab-maint;
    - bump Standards-Version to 3.8.3 (no changes);
    - build-dep on python-support (>= 0.90.0) and adjust its usage by deleting
      X[SB]-Python-Version fields and providing a debian/pyversions file;
    - build-dep on debhelper (>= 7.3.13) which automagically (and correctly)
      handles the --install-layout=deb option in debian/rules for all
      supported python versions;
    - add dependency on geoip-database for the deluge-core binary package


=== debian/control ===
Source: deluge
Section: net
Priority: optional
Maintainer: Cristian Greco <cristian@regolo.cc>
Build-Depends: debhelper (>= 7.3.13)
Build-Depends-Indep: python,
                     python-support (>= 0.90),
                     python-setuptools (>= 0.6c9)
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/collab-maint/deluge.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/deluge.git
Homepage: http://www.deluge-torrent.org/
DM-Upload-Allowed: yes

Package: deluge-common
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         python (>= 2.6) | python-simplejson,
         python-libtorrent (>= 0.14.9),
         python-twisted-web,
         python-openssl,
         python-pkg-resources,
         python-chardet,
         python-xdg,
         geoip-database
Conflicts: deluge-torrent-common (<< 1.0.7.dfsg-1), deluge-torrent (<< 1.0.7.dfsg-1), deluge-core (<< 1.2.0~rc1-1)
Replaces: deluge-torrent-common (<< 1.0.7.dfsg-1), deluge-torrent (<< 1.0.7.dfsg-1), deluge-core (<< 1.2.0~rc1-1)
Description: bittorrent client written in Python/PyGTK (common files)
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client.
 .
 It uses libtorrent-rasterbar in it's backend and features multiple
 user-interfaces including: GTK+, web and console.
 .
 This package contains common data files.

Package: deluged
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, deluge-common (= ${source:Version})
Description: bittorrent client written in Python/PyGTK (daemon)
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client.
 .
 It uses libtorrent-rasterbar in it's backend and features multiple
 user-interfaces including: GTK+, web and console.
 .
 This package contains the daemon application (deluged) which is able to accept
 local or remote connections from any user-interface.

Package: deluge-console
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, deluge-common (= ${source:Version})
Description: bittorrent client written in Python/PyGTK (console ui)
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client.
 .
 It uses libtorrent-rasterbar in it's backend and features multiple
 user-interfaces including: GTK+, web and console.
 .
 This package contains the console user-interface.

Package: deluge-web
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, deluge-common (= ${source:Version}),
         python-mako
Conflicts: deluge-webui (<< 1.2.0~rc1-1)
Replaces: deluge-webui (<< 1.2.0~rc1-1)
Description: bittorrent client written in Python/PyGTK (web ui)
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client.
 .
 It uses libtorrent-rasterbar in it's backend and features multiple
 user-interfaces including: GTK+, web and console.
 .
 This package contains the web user-interface.

Package: deluge-gtk
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, deluge-common (= ${source:Version}),
         python-glade2,
         python-notify,
         notification-daemon,
         librsvg2-common,
         xdg-utils
Conflicts: deluge (<< 1.2.0-1)
Replaces: deluge (<< 1.2.0-1)
Recommends: python-pygame
Description: bittorrent client written in Python/PyGTK (GTK+ ui)
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client.
 .
 It uses libtorrent-rasterbar in it's backend and features multiple
 user-interfaces including: GTK+, web and console.
 .
 This package contains the GTK+ user-interface.

Package: deluge
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, deluge-gtk (= ${source:Version})
Conflicts: deluge-common (<< 1.2.0~rc1-1)
Replaces: deluge-common (<< 1.2.0~rc1-1)
Description: bittorrent client written in Python/PyGTK
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client.
 .
 It uses libtorrent-rasterbar in it's backend and features multiple
 user-interfaces including: GTK+, web and console.
 .
 It has been designed using the client server model with a daemon process that
 handles all the bittorrent activity. The Deluge daemon (deluged) is able to
 run on headless machines with the user-interfaces being able to connect
 remotely from any platform.
 .
 This package will install the GTK+ user interface and the 'deluge' command,
 which enables launching any user-interface or setting your default one.

Package: deluge-webui
Architecture: all
Depends: ${misc:Depends}, deluge-web
Description: bittorrent client (web ui transitional package)
 This is a transitional dummy package to ensure clean upgrades from old
 releases (the package deluge-webui is replaced by deluge-web). If nothing
 depends on it, this package can be safely removed after upgrade.

Package: deluge-torrent
Architecture: all
Depends: ${misc:Depends}, deluge
Description: bittorrent client (gtk ui transitional package)
 This is a transitional dummy package to ensure clean upgrades from old
 releases (the package deluge-torrent is replaced by deluge). If nothing
 depends on it, this package can be safely removed after upgrade.

## deluge 1.2.3+git20110209.8c36830

=== debian/changelog ===
deluge (1.2.3+git20110209.8c36830-0squeeze1) stable; urgency=low

  * Imported Upstream version 1.2.3+git20110209.8c36830
    - Upstream commit 8c36830 backported from the 1.3.x release:
      "fix hang on quit". (Closes: #602613)

 -- Cristian Greco <cristian@regolo.cc>  Sat, 12 Feb 2011 13:00:41 +0100

deluge (1.2.3+git20100712.0b609bf-1) unstable; urgency=low

  * Imported Upstream version 1.2.3+git20100712.0b609bf
    - Upstream commit 0b609bf: "do not attempt to move a torrents storage if
      the destination path not exist". (Closes: 588756)

 -- Cristian Greco <cristian@regolo.cc>  Tue, 13 Jul 2010 19:09:24 +0200

deluge (1.2.3+git20100701.131af5a-1) unstable; urgency=low

  * Imported Upstream version 1.2.3+git20100701.131af5a
    - upstream is not going to release 1.2.4, so we are now tracking the
      1.2-stable brach from git repository for Squeeze.
    - fixes deluge-gtk hanging on shutdown. (Closes: #587662)
  * debian/rules: add get-orig-source target to track latest 1.2.x upstream
    snapshot.
  * debian/README.source: add basic instructions for the get-orig-source
    target.
  * debian/control:
    - use Breaks: instead of Conflicts:, as specified by policy 3.9.0, §7.4.
    - bump Standards-Version to 3.9.0.
  * debian/patches:
    - new_release_check.patch, refreshed, update description to follow DEP3
      guidelines.
    - no_tag_build_dev.patch, new patch: drop '-dev' tag_build in setup.cfg.
    - drop_deprecation_warnings.patch, new patch: get rid of deprecation
      warnings. (Closes: #575910)

 -- Cristian Greco <cristian@regolo.cc>  Thu, 01 Jul 2010 19:07:23 +0200

deluge (1.2.3-1) unstable; urgency=low

  * New upstream version.
  * debian/patches:
    - libtorrent_version_comparison.patch: drop patch, fixed upstream.

 -- Cristian Greco <cristian@regolo.cc>  Fri, 09 Apr 2010 14:03:02 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends-Indep: python,
                      python-support (>= 0.90),
                      python-setuptools (>= 0.6c9)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Vcs-Git: git://git.debian.org/git/collab-maint/deluge.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/deluge.git
 Homepage: http://www.deluge-torrent.org/
@@ -23,7 +23,7 @@
          python-chardet,
          python-xdg,
          geoip-database
-Conflicts: deluge-torrent-common (<< 1.0.7.dfsg-1), deluge-torrent (<< 1.0.7.dfsg-1), deluge-core (<< 1.2.0~rc1-1)
+Breaks: deluge-torrent-common (<< 1.0.7.dfsg-1), deluge-torrent (<< 1.0.7.dfsg-1), deluge-core (<< 1.2.0~rc1-1)
 Replaces: deluge-torrent-common (<< 1.0.7.dfsg-1), deluge-torrent (<< 1.0.7.dfsg-1), deluge-core (<< 1.2.0~rc1-1)
 Description: bittorrent client written in Python/PyGTK (common files)
  Deluge is a full-featured, multi-platform, multi-interface BitTorrent client.
@@ -60,7 +60,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, deluge-common (= ${source:Version}),
          python-mako
-Conflicts: deluge-webui (<< 1.2.0~rc1-1)
+Breaks: deluge-webui (<< 1.2.0~rc1-1)
 Replaces: deluge-webui (<< 1.2.0~rc1-1)
 Description: bittorrent client written in Python/PyGTK (web ui)
  Deluge is a full-featured, multi-platform, multi-interface BitTorrent client.
@@ -78,7 +78,7 @@
          notification-daemon,
          librsvg2-common,
          xdg-utils
-Conflicts: deluge (<< 1.2.0-1)
+Breaks: deluge (<< 1.2.0-1)
 Replaces: deluge (<< 1.2.0-1)
 Recommends: python-pygame
 Description: bittorrent client written in Python/PyGTK (GTK+ ui)
@@ -92,7 +92,7 @@
 Package: deluge
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, deluge-gtk (= ${source:Version})
-Conflicts: deluge-common (<< 1.2.0~rc1-1)
+Breaks: deluge-common (<< 1.2.0~rc1-1)
 Replaces: deluge-common (<< 1.2.0~rc1-1)
 Description: bittorrent client written in Python/PyGTK
  Deluge is a full-featured, multi-platform, multi-interface BitTorrent client.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	find . -type d -name '*.egg-info' | xargs rm -rf


REPO = git://git.deluge-torrent.org/deluge
BRANCH = 1.2-stable
CURRENT_VERSION = $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
GIT_COMMIT = $(shell dpkg-parsechangelog | sed -rne 's,^Version: .*git[0-9]{8}\.([^-]+).*,\1,p')

GET_SOURCE = \
	set -e; \
	tmpdir=$$(mktemp -d orig-source-XXXXXX); \
	cd $$tmpdir; \
	echo "Fetching latest upstream version (branch $(BRANCH))..."; \
	git init -q; \
	git pull -q --tags $(REPO) $(BRANCH); \
	if test -z "$(1)"; \
	then \
		release=$$(git describe FETCH_HEAD | sed -rne 's,deluge-([^-]+).*,\1,p'); \
		commit=$$(git log -n 1 --oneline | sed -rne 's,([^ ]{7}) .*,\1,p'); \
		commit_date=$$(date --utc --date="$$(git log -n 1 --pretty=format:%cD)" "+%Y%m%d"); \
		deb_version=$${release}+git$${commit_date}.$${commit}; \
		treeish=$${commit}; \
	else \
		deb_version=$(CURRENT_VERSION); \
		treeish=$(1); \
	fi; \
	echo "Packaging version $${deb_version}..."; \
	git archive --format=tar --prefix="deluge-$${deb_version}/" $${treeish} | \
		gzip -9 > "../deluge_$${deb_version}.orig.tar.gz"; \
	cd $(CURDIR); \
	rm -rf $$tmpdir; \
	echo "Done!"

get-orig-source:
	$(call GET_SOURCE)

get-current-source:
	$(call GET_SOURCE,$(GIT_COMMIT))

## deluge 1.3.0

=== debian/changelog ===
deluge (1.3.0-0ubuntu1) maverick; urgency=low

  * Update to final release (LP: #643990).
   - Fix key error after enabling a plugin that introduces
     a new status key (LP: #627200).
  * Drop debian/patches/save_timer_active.patch
   - Included upstream.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 21 Sep 2010 17:34:33 -0400

deluge (1.3.0~rc2-0ubuntu2) maverick; urgency=low

  * debian/patches/save_timer_active.patch:
   - Backport from upstream: Fix issue where the save_timer
     is cancelled when it's not active. (LP: #630974)

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 08 Sep 2010 18:43:09 -0400

deluge (1.3.0~rc2-0ubuntu1) maverick; urgency=low

  * New upstream release candidate.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Mon, 23 Aug 2010 12:19:49 -0400

deluge (1.3.0~rc1-0ubuntu1) maverick; urgency=low

  * New upstream release candidate.
  * Drop debian/patches/no_tag_build_dev.patch and
    drop_deprecation_warnings.patch. Included upstream.
  * debian/rules: Don't install extra license files.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 10 Aug 2010 15:31:43 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: deluge
 Section: net
 Priority: optional
-Maintainer: Cristian Greco <cristian@regolo.cc>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Cristian Greco <cristian@regolo.cc>
 Build-Depends: debhelper (>= 7.3.13)
 Build-Depends-Indep: python,
                      python-support (>= 0.90),

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,11 @@
 	dh_auto_clean
 	find . -type d -name '*.egg-info' | xargs rm -rf
 
+override_dh_auto_install:
+	dh_auto_install
+	find . -type f -iname 'LICENSE' | xargs rm -rf
+	find . -type f -iname 'FLAGS_LICENCE' | xargs rm -rf
+	find . -type f -iname 'COPYING' | xargs rm -rf
 
 REPO = git://git.deluge-torrent.org/deluge
 BRANCH = 1.2-stable

## deluge 1.3.1

=== debian/changelog ===
deluge (1.3.1-1ubuntu2) natty; urgency=low

  * Backport indicator support from upstream 1.3.x
    stable branch (LP: #584669).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 13 Mar 2011 14:36:24 -0400

deluge (1.3.1-1ubuntu1) natty; urgency=low

  * Add patch to avoid "TypeError" in packing an int into a CellRenderer's
    "text" property.  LP: #708726

 -- Chad MILLER <chad.miller@canonical.com>  Wed, 02 Feb 2011 08:58:59 -0500

deluge (1.3.1-1) unstable; urgency=low

  * New upstream version.

 -- Cristian Greco <cristian@regolo.cc>  Wed, 03 Nov 2010 16:44:32 +0100

deluge (1.3.0-1) unstable; urgency=low

  * New upstream version.
    - remove all the stuff needed to track upstream git repository for
      Squeeze (get-orig-source in debian/control, debian/README.source
      and debian/patches/no_tag_build_dev.patch).
  * debian/patches/drop_deprecation_warnings.patch: deleted, it was a
    backport from upstream git repository.
  * debian/control: bump up Standards-Version to 3.9.1 (no changes).

 -- Cristian Greco <cristian@regolo.cc>  Tue, 12 Oct 2010 19:57:23 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends-Indep: python,
                      python-support (>= 0.90),
                      python-setuptools (>= 0.6c9)
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/collab-maint/deluge.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/deluge.git
 Homepage: http://www.deluge-torrent.org/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	find . -type d -name '*.egg-info' | xargs rm -rf

## deluge 1.3.2

=== debian/changelog ===
deluge (1.3.2-1) unstable; urgency=low

  * New upstream version.
    - fix arguments handling in deluge-console (Closes: #619565).
    - new_release_check.patch: refreshed.
  * debian/{control,rules}: switch from python-support to dh_python2.
  * debian/control: bump up Standards-Version to 3.9.2.
  * debian/control: move the python-libtorrent dependency from package
    deluge-common to packages deluged and deluge and clarify packages
    description, in order to be able to run the GTK+ user-interface as
    a thin client (LP: #672069).

 -- Cristian Greco <cristian@regolo.cc>  Wed, 08 Jun 2011 00:10:27 +0200

=== debian/control ===
Source: deluge
Section: net
Priority: optional
Maintainer: Cristian Greco <cristian@regolo.cc>
Build-Depends-Indep: debhelper (>= 7.3.13),
                     python (>= 2.6.6-3~),
                     python-setuptools (>= 0.6c9)
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/collab-maint/deluge.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/deluge.git
Homepage: http://www.deluge-torrent.org/
DM-Upload-Allowed: yes
X-Python-Version: >= 2.5

Package: deluge-common
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         python (>= 2.6) | python-simplejson,
         python-twisted-web,
         python-openssl,
         python-pkg-resources,
         python-chardet,
         python-xdg,
         geoip-database
Breaks: deluge-torrent-common (<< 1.0.7.dfsg-1), deluge-torrent (<< 1.0.7.dfsg-1), deluge-core (<< 1.2.0~rc1-1)
Replaces: deluge-torrent-common (<< 1.0.7.dfsg-1), deluge-torrent (<< 1.0.7.dfsg-1), deluge-core (<< 1.2.0~rc1-1)
Description: bittorrent client written in Python/PyGTK (common files)
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
 using libtorrent-rasterbar in it's backend and featuring multiple
 user-interfaces: GTK+, web and console.
 .
 It has been designed using the client-server model with a daemon process that
 handles all the bittorrent activity. The Deluge daemon is able to run on
 headless machines with the user-interfaces being able to connect remotely
 from any platform.
 .
 This package contains data files commons to both the daemon and the
 various user-interfaces.

Package: deluged
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         deluge-common (= ${source:Version}),
         python-libtorrent (>= 0.14.9)
Description: bittorrent client written in Python/PyGTK (daemon)
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
 using libtorrent-rasterbar in it's backend and featuring multiple
 user-interfaces: GTK+, web and console.
 .
 It has been designed using the client-server model with a daemon process that
 handles all the bittorrent activity. The Deluge daemon is able to run on
 headless machines with the user-interfaces being able to connect remotely
 from any platform.
 .
 You may want to install this package to run the daemon application on a remote
 server and connect to it from any user-interface.
 See: <URL:http://dev.deluge-torrent.org/wiki/UserGuide/ThinClient>

Package: deluge-console
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         deluge-common (= ${source:Version})
Description: bittorrent client written in Python/PyGTK (console ui)
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
 using libtorrent-rasterbar in it's backend and featuring multiple
 user-interfaces: GTK+, web and console.
 .
 It has been designed using the client-server model with a daemon process that
 handles all the bittorrent activity. The Deluge daemon is able to run on
 headless machines with the user-interfaces being able to connect remotely
 from any platform.
 .
 This package contains the console user-interface.

Package: deluge-web
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         deluge-common (= ${source:Version}),
         python-mako
Breaks: deluge-webui (<< 1.2.0~rc1-1)
Replaces: deluge-webui (<< 1.2.0~rc1-1)
Description: bittorrent client written in Python/PyGTK (web ui)
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
 using libtorrent-rasterbar in it's backend and featuring multiple
 user-interfaces: GTK+, web and console.
 .
 It has been designed using the client-server model with a daemon process that
 handles all the bittorrent activity. The Deluge daemon is able to run on
 headless machines with the user-interfaces being able to connect remotely
 from any platform.
 .
 You may want to install this package on a remote server running the deluge
 daemon (package deluged).
 See: <URL:http://dev.deluge-torrent.org/wiki/UserGuide/ThinClient>

Package: deluge-gtk
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         deluge-common (= ${source:Version}),
         python-glade2,
         python-notify,
         notification-daemon,
         librsvg2-common,
         xdg-utils
Breaks: deluge (<< 1.2.0-1)
Replaces: deluge (<< 1.2.0-1)
Recommends: python-pygame
Description: bittorrent client written in Python/PyGTK (GTK+ ui)
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
 using libtorrent-rasterbar in it's backend and featuring multiple
 user-interfaces: GTK+, web and console.
 .
 It has been designed using the client-server model with a daemon process that
 handles all the bittorrent activity. The Deluge daemon is able to run on
 headless machines with the user-interfaces being able to connect remotely
 from any platform.
 .
 You may want to install this package to use the Deluge GTK+ user-interface
 as a thin client and connect to a remote daemon.
 See: <URL:http://dev.deluge-torrent.org/wiki/UserGuide/ThinClient>

Package: deluge
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         python-libtorrent (>= 0.14.9),
         deluge-gtk (= ${source:Version})
Breaks: deluge-common (<< 1.2.0~rc1-1)
Replaces: deluge-common (<< 1.2.0~rc1-1)
Description: bittorrent client written in Python/PyGTK
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
 using libtorrent-rasterbar in it's backend and featuring multiple
 user-interfaces: GTK+, web and console.
 .
 It has been designed using the client-server model with a daemon process that
 handles all the bittorrent activity. The Deluge daemon is able to run on
 headless machines with the user-interfaces being able to connect remotely
 from any platform.
 .
 You may want to install this package to use Deluge in classic mode,
 which means the daemon and the GTK+ user-interface are linked together.

Package: deluge-webui
Architecture: all
Depends: ${misc:Depends}, deluge-web
Description: bittorrent client (web ui transitional package)
 This is a transitional dummy package to ensure clean upgrades from old
 releases (the package deluge-webui is replaced by deluge-web). If nothing
 depends on it, this package can be safely removed after upgrade.

Package: deluge-torrent
Architecture: all
Depends: ${misc:Depends}, deluge
Description: bittorrent client (gtk ui transitional package)
 This is a transitional dummy package to ensure clean upgrades from old
 releases (the package deluge-torrent is replaced by deluge). If nothing
 depends on it, this package can be safely removed after upgrade.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@
+	dh $@ --with python2
 
 override_dh_auto_clean:
 	dh_auto_clean

## deluge 1.3.3

=== debian/changelog ===
deluge (1.3.3-2+nmu1) unstable; urgency=low

  * NMU
  * Add Depends: python-libtorrent. Closes: #696837
    Thanks to Eddy Pronk for the patch.

 -- Steve McIntyre <93sam@debian.org>  Sun, 27 Jan 2013 16:29:15 +0000

deluge (1.3.3-2) unstable; urgency=low

  * debian/patches:
    - new_release_check.patch: refreshed patch.
    - ubuntu_indicator.patch: new patch, enable indicator support
      by default on Ubuntu. (Closes: #641778) (LP: #843805)

 -- Cristian Greco <cristian@debian.org>  Sun, 25 Sep 2011 18:03:15 +0200

deluge (1.3.3-1) unstable; urgency=low

  * New upstream version.
  * debian/deluge-gtk.mime: provide MIME information for deluge-gtk.
  * debian/control:
    - add build-dep on intltool.
    - use my @debian.org address, drop DMUA field.
  * debian/rules: remove the .desktop file during clean.
  * debian/{control,rules}: dirty hack to avoid installing plugins eggs.
    Thanks Jakub Wilk!

 -- Cristian Greco <cristian@debian.org>  Thu, 25 Aug 2011 01:08:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: deluge
 Section: net
 Priority: optional
-Maintainer: Cristian Greco <cristian@regolo.cc>
+Maintainer: Cristian Greco <cristian@debian.org>
 Build-Depends-Indep: debhelper (>= 7.3.13),
+                     intltool,
                      python (>= 2.6.6-3~),
-                     python-setuptools (>= 0.6c9)
+                     python-setuptools (>= 0.6c9),
+                     unzip
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/deluge.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/deluge.git
 Homepage: http://www.deluge-torrent.org/
-DM-Upload-Allowed: yes
 X-Python-Version: >= 2.5
 
 Package: deluge-common
@@ -21,6 +22,7 @@
          python-pkg-resources,
          python-chardet,
          python-xdg,
+         python-libtorrent (>= 0.14.9),
          geoip-database
 Breaks: deluge-torrent-common (<< 1.0.7.dfsg-1), deluge-torrent (<< 1.0.7.dfsg-1), deluge-core (<< 1.2.0~rc1-1)
 Replaces: deluge-torrent-common (<< 1.0.7.dfsg-1), deluge-torrent (<< 1.0.7.dfsg-1), deluge-core (<< 1.2.0~rc1-1)
@@ -40,8 +42,7 @@
 Package: deluged
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends},
-         deluge-common (= ${source:Version}),
-         python-libtorrent (>= 0.14.9)
+         deluge-common (= ${source:Version})
 Description: bittorrent client written in Python/PyGTK (daemon)
  Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
  using libtorrent-rasterbar in it's backend and featuring multiple

## deluge 1.3.4

=== debian/changelog ===
deluge (1.3.4-1) experimental; urgency=low

  [ Tanguy Ortolo ]
  * debian/deluged.init: initial work on init script for deluge daemon.

  [ Cristian Greco ]
  * New upstream version.
  * debian/deluged.init: some changes to configuration.
  * debian/control:
    - bump up Standards-Version to 3.9.3.
    - move transitional packages to oldlibs/extra.

 -- Cristian Greco <cristian@debian.org>  Sun, 11 Mar 2012 16:48:25 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                      python (>= 2.6.6-3~),
                      python-setuptools (>= 0.6c9),
                      unzip
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/collab-maint/deluge.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/deluge.git
 Homepage: http://www.deluge-torrent.org/
@@ -22,7 +22,6 @@
          python-pkg-resources,
          python-chardet,
          python-xdg,
-         python-libtorrent (>= 0.14.9),
          geoip-database
 Breaks: deluge-torrent-common (<< 1.0.7.dfsg-1), deluge-torrent (<< 1.0.7.dfsg-1), deluge-core (<< 1.2.0~rc1-1)
 Replaces: deluge-torrent-common (<< 1.0.7.dfsg-1), deluge-torrent (<< 1.0.7.dfsg-1), deluge-core (<< 1.2.0~rc1-1)
@@ -42,7 +41,10 @@
 Package: deluged
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends},
-         deluge-common (= ${source:Version})
+         deluge-common (= ${source:Version}),
+         python-libtorrent (>= 0.14.9),
+         adduser,
+         lsb-base (>= 3.2-14)
 Description: bittorrent client written in Python/PyGTK (daemon)
  Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
  using libtorrent-rasterbar in it's backend and featuring multiple
@@ -141,6 +143,8 @@
  which means the daemon and the GTK+ user-interface are linked together.
 
 Package: deluge-webui
+Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends}, deluge-web
 Description: bittorrent client (web ui transitional package)
@@ -149,6 +153,8 @@
  depends on it, this package can be safely removed after upgrade.
 
 Package: deluge-torrent
+Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends}, deluge
 Description: bittorrent client (gtk ui transitional package)

## deluge 1.3.5

=== debian/changelog ===
deluge (1.3.5-0ubuntu2~precise2) precise-proposed; urgency=low

  * debian/patches/twisted_reactor_stimulate.patch:
   - Deal with twisted's Gtk2Reactor refactoring (LP: #1058320).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 28 Sep 2012 16:53:13 -0400

deluge (1.3.5-0ubuntu2~precise1) precise-proposed; urgency=low

  * Upload to precise-proposed

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 17 May 2012 02:05:53 +0800

deluge (1.3.5-0ubuntu2) quantal; urgency=low

  * debian/patches/ubuntu_indicator.patch:
    - Set indicator title for HUD (LP: #1000350)
  * debian/control:
    - Make deluge-gtk depend on python-appindicator

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 17 May 2012 01:10:19 +0800

deluge (1.3.5-0ubuntu1) precise; urgency=low

  * New upstream bug-fix release.
   - Bring MainWindow to front when opening another
     instance (LP: #939707).
   - Fix KeyError in gtkui when file priority set to
     value '3' (LP: #970689).
   - And many more...
  * Retroactively fix changelog versioning for last
    upload (LP: #962366).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 10 Apr 2012 11:27:37 -0400

deluge (1.3.4-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 22 Mar 2012 12:38:42 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: deluge
 Section: net
 Priority: optional
-Maintainer: Cristian Greco <cristian@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Cristian Greco <cristian@debian.org>
 Build-Depends-Indep: debhelper (>= 7.3.13),
                      intltool,
                      python (>= 2.6.6-3~),
                      python-setuptools (>= 0.6c9),
                      unzip
-Standards-Version: 3.9.3
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/deluge.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/deluge.git
 Homepage: http://www.deluge-torrent.org/
@@ -42,9 +43,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends},
          deluge-common (= ${source:Version}),
-         python-libtorrent (>= 0.14.9),
-         adduser,
-         lsb-base (>= 3.2-14)
+         python-libtorrent (>= 0.14.9)
 Description: bittorrent client written in Python/PyGTK (daemon)
  Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
  using libtorrent-rasterbar in it's backend and featuring multiple
@@ -104,7 +103,8 @@
          python-notify,
          notification-daemon,
          librsvg2-common,
-         xdg-utils
+         xdg-utils,
+         python-appindicator
 Breaks: deluge (<< 1.2.0-1)
 Replaces: deluge (<< 1.2.0-1)
 Recommends: python-pygame
@@ -143,8 +143,6 @@
  which means the daemon and the GTK+ user-interface are linked together.
 
 Package: deluge-webui
-Section: oldlibs
-Priority: extra
 Architecture: all
 Depends: ${misc:Depends}, deluge-web
 Description: bittorrent client (web ui transitional package)
@@ -153,8 +151,6 @@
  depends on it, this package can be safely removed after upgrade.
 
 Package: deluge-torrent
-Section: oldlibs
-Priority: extra
 Architecture: all
 Depends: ${misc:Depends}, deluge
 Description: bittorrent client (gtk ui transitional package)

## deluge 1.3.6

=== debian/changelog ===
deluge (1.3.6-0ubuntu3) trusty; urgency=medium

  * Backport upstream commits fixing compatibility
    with twisted 13.1 (LP: #1274586).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 30 Jan 2014 16:28:11 -0500

deluge (1.3.6-0ubuntu2) raring; urgency=low

  * debian/patches/fix_plugins_tabs.patch: Fix issue with
    Plugins that add Tabs to torrentdetails. Backported from
    upstream.
  * debian/patches/AutoExtractor_fix.patch: Fixes AutoExtractor
    Plugin failing to extract files with periods. Backported
    from upstream. 

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 26 Mar 2013 17:34:09 -0400

deluge (1.3.6-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Drop patches applied upstream: move-fails.patch, lt_gil_fix.patch,
    and twisted_reactor_stimulate.patch.
  * ubuntu_indicator.patch: Only enable the indicator. The code to
    set the title is now upstream.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 28 Feb 2013 21:16:40 -0500

deluge (1.3.5-1ubuntu4) quantal; urgency=low

  * debian/patches/twisted_reactor_stimulate.patch:
   - Deal with twisted's Gtk2Reactor refactoring (LP: #1058320).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 28 Sep 2012 16:23:14 -0400

deluge (1.3.5-1ubuntu3) quantal; urgency=low

  * debian/patches/lt_gil_fix.patch:
   - Disable add_extenstion and use session flags instead for
     libtorrent extensions (LP: #1049332).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Wed, 26 Sep 2012 10:07:13 -0400

deluge (1.3.5-1ubuntu2) quantal; urgency=low

  [Chad Miller]
  * Add patch to fix function parameter on call to libtorrent to move storage.
    It doesn't want Unicode (LP: #1041415).
  * Set minimum version dependency higher to catch new function signature.
  * Fix grammar in control.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 24 Aug 2012 21:04:04 -0400

deluge (1.3.5-1ubuntu1) quantal; urgency=low

  * Merge from Debian Experimental (LP: #990629). Remaining Ubuntu changes:
   - debian/patches/ubuntu_indicator.patch: Set indicator title for HUD.
  * debian/control: Demote python-appindicator to Recommends.
  * Refresh patches.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 22 May 2012 15:16:48 -0400

deluge (1.3.5-1) experimental; urgency=low

  * New upstream version. (Closes: #663250, #670366)
    - bring MainWindow to front when opening another instance.
      (Closes: #662733)
  * debian/deluged.postinst: check for already existing overrides
    before adding new ones. Thanks Andrew Starr-Bochicchio! (Closes: #671905)

 -- Cristian Greco <cristian@debian.org>  Tue, 08 May 2012 21:01:55 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                      python (>= 2.6.6-3~),
                      python-setuptools (>= 0.6c9),
                      unzip
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/collab-maint/deluge.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/deluge.git
 Homepage: http://www.deluge-torrent.org/
@@ -28,7 +28,7 @@
 Replaces: deluge-torrent-common (<< 1.0.7.dfsg-1), deluge-torrent (<< 1.0.7.dfsg-1), deluge-core (<< 1.2.0~rc1-1)
 Description: bittorrent client written in Python/PyGTK (common files)
  Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
- using libtorrent-rasterbar in it's backend and featuring multiple
+ using libtorrent-rasterbar in its back end and featuring multiple
  user-interfaces: GTK+, web and console.
  .
  It has been designed using the client-server model with a daemon process that
@@ -43,10 +43,12 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends},
          deluge-common (= ${source:Version}),
-         python-libtorrent (>= 0.14.9)
+         python-libtorrent (>= 0.16.0),
+         adduser,
+         lsb-base (>= 3.2-14)
 Description: bittorrent client written in Python/PyGTK (daemon)
  Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
- using libtorrent-rasterbar in it's backend and featuring multiple
+ using libtorrent-rasterbar in its back end and featuring multiple
  user-interfaces: GTK+, web and console.
  .
  It has been designed using the client-server model with a daemon process that
@@ -64,7 +66,7 @@
          deluge-common (= ${source:Version})
 Description: bittorrent client written in Python/PyGTK (console ui)
  Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
- using libtorrent-rasterbar in it's backend and featuring multiple
+ using libtorrent-rasterbar in its back end and featuring multiple
  user-interfaces: GTK+, web and console.
  .
  It has been designed using the client-server model with a daemon process that
@@ -83,7 +85,7 @@
 Replaces: deluge-webui (<< 1.2.0~rc1-1)
 Description: bittorrent client written in Python/PyGTK (web ui)
  Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
- using libtorrent-rasterbar in it's backend and featuring multiple
+ using libtorrent-rasterbar in its back end and featuring multiple
  user-interfaces: GTK+, web and console.
  .
  It has been designed using the client-server model with a daemon process that
@@ -103,14 +105,14 @@
          python-notify,
          notification-daemon,
          librsvg2-common,
-         xdg-utils,
-         python-appindicator
+         xdg-utils
 Breaks: deluge (<< 1.2.0-1)
 Replaces: deluge (<< 1.2.0-1)
-Recommends: python-pygame
+Recommends: python-pygame,
+            python-appindicator
 Description: bittorrent client written in Python/PyGTK (GTK+ ui)
  Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
- using libtorrent-rasterbar in it's backend and featuring multiple
+ using libtorrent-rasterbar in its back end and featuring multiple
  user-interfaces: GTK+, web and console.
  .
  It has been designed using the client-server model with a daemon process that
@@ -125,13 +127,13 @@
 Package: deluge
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends},
-         python-libtorrent (>= 0.14.9),
+         python-libtorrent (>= 0.16.0),
          deluge-gtk (= ${source:Version})
 Breaks: deluge-common (<< 1.2.0~rc1-1)
 Replaces: deluge-common (<< 1.2.0~rc1-1)
 Description: bittorrent client written in Python/PyGTK
  Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
- using libtorrent-rasterbar in it's backend and featuring multiple
+ using libtorrent-rasterbar in its back end and featuring multiple
  user-interfaces: GTK+, web and console.
  .
  It has been designed using the client-server model with a daemon process that
@@ -143,6 +145,8 @@
  which means the daemon and the GTK+ user-interface are linked together.
 
 Package: deluge-webui
+Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends}, deluge-web
 Description: bittorrent client (web ui transitional package)
@@ -151,6 +155,8 @@
  depends on it, this package can be safely removed after upgrade.
 
 Package: deluge-torrent
+Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends}, deluge
 Description: bittorrent client (gtk ui transitional package)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_build:
	python setup.py build

override_dh_auto_install:
	python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb
	set -ex; \
	cd debian/tmp/usr/lib/python2.*/*-packages/deluge/plugins/; \
	for egg in *.egg; do \
		mkdir -p $${egg%-py2.*}.egg; \
		unzip $$egg -d $${egg%-py2.*}.egg; \
		rm -f $$egg; \
	done

override_dh_auto_clean:
	dh_auto_clean
	find . -type d -name '*.egg-info' | xargs rm -rf
	rm -f deluge/data/share/applications/deluge.desktop
